package com.njcn.mapper.user;

import com.njcn.pojo.user.Role;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

public interface RoleMapper extends Mapper<Role> {
	//增
	int insertRole(Role role);
	//删
	int deleteRole(Role role);
	//改
	int updateRole(Role role);
	//查询Id
	Role selectRoleIndex(String roleIndex);
	//根据角色名模糊查询所有
    List<Role> queryNameAll(@Param(value = "roleName") String roleName);
	//查
	List<Role>  selectAll();
	//查
	List<Role>  selectAlls(@Param("list") List<String> list);
	//查找名字
	int selName(@Param(value = "roleName") String roleName);
	/**
	 * 根据角色组的索引，获取所有角色名
	 * */
	List<String> getRoles(String roleGPIndex);
	
	
}
